Waterfall Endpoint
GET
/api/v1/charts/waterfall
const url = 'https://example.com/api/v1/charts/waterfall?from=2026-04-15&to=2026-04-15';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/charts/waterfall?from=2026-04-15&to=2026-04-15'Per-account balance change between two dates for waterfall chart.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”from
required
From
string format: date
to
required
To
string format: date
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WaterfallResponse
Waterfall chart data — net worth change attribution between two dates.
object
start_date
required
Start Date
string
end_date
required
End Date
string
start_total
required
Start Total
string
end_total
required
End Total
string
total_change
required
Total Change
string
fx_effect
Fx Effect
string
fx_missing_count
Fx Missing Count
integer
items
required
Items
Array<object>
WaterfallItemSingle bar in a waterfall chart — one account’s contribution to net worth change.
object
name
required
Name
string
start_balance
required
Start Balance
string
end_balance
required
End Balance
string
change
required
Change
string
split_missing_rate
Split Missing Rate
boolean
fx_missing_rate
Fx Missing Rate
boolean
is_total
Is Total
boolean
Example
{ "fx_effect": "0.00", "fx_missing_count": 0, "items": [ { "split_missing_rate": false, "fx_missing_rate": false, "is_total": false } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}